[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGInterfacedObjectList.First

First non-nil object

## Declaration

Source position: fgl.pp line 229

`public property TFPGInterfacedObjectList.First : T read GetFirst write SetFirst;`

## Description

First returns the first non-nil object. If no such element is present, Nil is returned.

## See also

TFPSList.First |  | Pointer to first non-empty item in the list
TFPGInterfacedObjectList.Last |  | Last non-Nil object
TFPSList.Pack |  | Remove empty items from the list